pipedrive.settings:
  type: mapping
  mapping:
    api_token:
      type: string
      label: 'pipedrive api key'

pipedrive.entity_settings_*:
  type: mapping
  mapping:
    enabled:
      type: boolean
      label: 'Enabled for type'
    field_mapping:
      type: sequence
      label: 'field mappings'
      sequence:
        - type: pipedrive_field_mapping.[%key]

pipedrive_field_mapping.*:
  type: string
  label: 'target field'
